### Function

# Goa Client new

#### Declaration [src]

    void
    goa_client_new (
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously gets a `GoaClient`.

This is a failable asynchronous constructor - when the client is ready, `callback` will be invoked and you can use `goa_client_new_finish()` to get the result.

This function completes asynchronously. Use `goa_client_new_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.